/*
 *   Copyright 2008 Aaron Seigo <aseigo@kde.org>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Library General Public License as
 *   published by the Free Software Foundation; either version 2 or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU Library General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include "ldbbackend.h"

LDBBackend::LDBBackend(QObject* parent, const QVariantList& args)
    : KConfigBackend()
{
    Q_UNUSED(parent)
    Q_UNUSED(args)
}

LDBBackend::~LDBBackend()
{
}

KConfigBackend::ParseInfo LDBBackend::parseConfig(const QByteArray& locale,
                                                  KEntryMap& pWriteBackMap,
                                                  ParseOptions options)
{
    return ParseInfo();
}

bool LDBBackend::writeConfig(const QByteArray& locale, KEntryMap& entryMap,
        WriteOptions options, const KComponentData &data)
{
    return false;
}

bool LDBBackend::isWritable() const
{
    return false;
}

KConfigBase::AccessMode LDBBackend::accessMode() const
{
    return KConfigBase::ReadOnly;
}

void LDBBackend::createEnclosing()
{
}

void LDBBackend::setFilePath(const QString& path)
{
}

bool LDBBackend::lock(const KComponentData& componentData)
{
    return false;
}

void LDBBackend::unlock()
{
}

bool LDBBackend::isLocked() const
{
    return false;
}

#include <ldbbackend.moc>

