#!/bin/bash
# Author : Vishesh Handa <handa.vish@gmail.com>
#
# A simple script that duplicates a file a number of times
#
if [ $# -lt 2 ]; then
    echo "Usage : `basename $0` filename numberOfFiles"
fi

FILENAME=$1
NUM=$2

for (( i=0; i<$NUM; i++ )); do
    echo "$i"
    cp $FILENAME $i
done;