require 'plasma_applet'

=begin
#!/usr/bin/env kross
# -*- coding utf-8 -*-
#/*
# * Copyright(c) 2008 Matthew Adams <roguestar191 at comcast.net>
# *
# * This program is free software; you can redistribute it and/or
# * modify it under the terms of the GNU General Public License as
# * published by the Free Software Foundation; either version 2 of
# * the License, or(at your option) any later version.
# *
# * This program is distributed in the hope that it will be useful,
# * but WITHOUT ANY WARRANTY; without even the implied warranty of
# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# * GNU General Public License for more details.
# *
# * You should have received a copy of the GNU General Public License
# * along with this program.  If not, see <http//www.gnu.org/licenses/>.
# */
# Fixed by rdale, THANK YOU !
=end

module RubyCpufreq
        class Main < PlasmaScripting::Applet
            slots 'changedSelection(QString)'

            def initialize(parent=nil,args=nil)
                super
            end

            def init
#               KGlobal.locale().insertCatalog("libplasmacpufrequencyselector")
#		setWindowFlags(Qt::WindowStaysOnTopHint)
        
                @frequency = nil
                @governor = nil
                @freqBox = nil
                @freqBoxPlas = nil
        
                #Start it
                setupUi()
            end

            def shape()
                """Fix this"""
                path = Qt::PainterPath.new
                path.addEllipse(boundingRect().adjusted(-2, -2, 2, 2))
                return path
            end

            def paintInterface( painter, option, contentsRect)
                print 'paintInterface'
            end

            def open(fname, arg)
                return File.new(fname, arg)
            end

            def addLineToBox( box, line)
#               print box.methods
                if( line != '') and (line != ' ') and(line != '\n')
                       box.addItem(line)
                       # box.nativeWidget().addItem(line)
                end
            end

            def getAvailableModes( box)
                f = open('/sys/devices/system/cpu/cpu0/cpufreq/scaling_available_frequencies','r')
                for line in f.read().split(' ')
                        line = line.chomp()
			line = line.slice(0, line.length-3)
                        line = line + "Mhz"
                        if( @governor == "userspace" ) and(@frequency == line)
                                next 
                        else addLineToBox(box, line)
                        end
                end
                f.close()
            end

            def getAvailableGovernors( box)
                f = open('/sys/devices/system/cpu/cpu0/cpufreq/scaling_available_governors', 'r')
                for line in f.read().split(' ')
                        line = line.chomp()
                        if(line == 'userspace') or( line == @governor)
                                next
                        else addLineToBox(box, line)
                        end
                end
                f.close()
            end 

            def getCurrentMode()
                f = open('/sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq', 'r')
                line = f.read()
                #.split('\n')
                line = line.chomp()

		line = line.slice(0, line.length-3)
		line = line + "Mhz"

                @frequency = line
        
                f.close()
            end

            def getCurrentGovernor()
                f = open('/sys/devices/system/cpu/cpu0/cpufreq/scaling_governor', 'r')
                line = f.read()
        #.split('\n')
                line = line.chomp()
                @governor = line
		#puts("Line is:" + @governor + "|")
                f.close()
                #print "Current governor " + @governor
            end

            def isnum(string)   
                """Return true if x is a number."""  
		return	string.to_i.to_s == string ? true : false

#                digits = ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"]
#                for x in number
#                        for y in digits
#				if (x != y)
#	                                return false
#				end
#                        end
#               end
#                return true
            end
        
            def changedSelection(sel)
        #       bus = dbus.SessionBus()
        #       obj = bus.get_object("org.freedesktop.PolicyKit.AuthenticationAgent", "/")
        #       try
        #               print obj.ObtainAuthorization("org.gnome.policykit.examples.punch", 0, os.getpid(), dbus_interface="org.freedesktop.PolicyKit.AuthenticationAgent")
        #               granted = policykit.ObtainAuthorization("test_action_id", 0, os.getpid())
        #               print granted
        #       except Exception, e
        #               print e
        #               return
		sel = sel.chomp("Mhz")
                cmd = ""
        	selection = String.new(sel)
                cmduspace = nil 
                if( isnum(selection) == true)
			selection = selection + "000"
                        "Set the frequency"
                        system("cpufreq-set -g userspace")
                        cmd = "cpufreq-set -f " + selection
                else
                        cmd = "cpufreq-set -g " + selection
                end
                if( cmduspace != nil)
                        system(cmduspace)
                end
                #print "Cmd is: |" + cmd + "|"
                ret = system(cmd)
		#print "ret = " + ret.to_s
                if(ret != true)
                        Qt::MessageBox.critical(nil, "No Permissions", "Please run \"chmod +s /usr/bin/cpufreq-set\" until PolicyKit is enabled", Qt::MessageBox::Ok)
                end             
                setupComboBox()
                return true
            end

            def clearfreqBox()
                @freqBox.clear()
            end

            def setupComboBox()
                if(@freqBox != nil)
                        clearfreqBox()
                else 
                        @freqBox = Plasma::ComboBox.new(self)
                                        #QtGui.QComboBox(Plasma.ComboBox(@applet).parentWidget())
        
                        @freqBox.show()
                end
#                @freqBox.methods.each {|x| puts x+"\n"}

                getCurrentGovernor()
                getCurrentMode()
        
                if( @governor == "userspace" )
                        addLineToBox(@freqBox, @frequency)
                else
                        addLineToBox(@freqBox, @governor)
                end
                getAvailableModes(@freqBox)
                getAvailableGovernors(@freqBox)
            end

            def setupUi()
                setupComboBox()
                @freqBox.show()
		@freqBox.resize(100,29)
                resize(100, 29)
                # connect(@freqBox, SIGNAL("currentIndexChanged(QString)"), self, SLOT('changedSelection(QString)'))
                connect(@freqBox, SIGNAL("activated(QString)"), self, SLOT('changedSelection(QString)'))
            end
        end
end

