#include "svglayoutitem.h"

class StockItem : public Plasma::SvgLayoutItem
{
public:
    StockItem(QGraphicsItem *parent = 0);
    virtual ~StockItem();

    // reimplemented from QGraphicsLayoutItem
    virtual QSizeF sizeHint(Qt::SizeHint which, const QSizeF &constraint = QSizeF()) const;
    // reimplemtned from QGraphicsItem
    virtual void paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*);

    void setId(QString sId);
    QString id() const;
    void setName(QString sName);
    QString name() const;
    void setValue(qreal dblValue);
    qreal value() const;
    void setChange(qreal dblChange);
    qreal change() const;

private:
    QString m_sId;
    QString m_sName;
    qreal   m_dblValue;
    qreal   m_dblChange;
    QSizeF  m_minSize;
};


