class Ui_Slots < Qt::Object
    slots 'setUrlRequest(QString)',
	  'clearurl()',
	  'reloadButtonPress()',
	  'forward()',
	  'back()',
	  'stop()',
	  'loadProgress(int)',
          'togTipControls(bool)',
	  'togWebControls(bool)',
	  'zoom(int)',
	  'nextTip()',
	  'prevTip()'

    def zoom( value)
	if(@webpageloaded)
		@zoom_factor = value
		@motdlabel.mainFrame().setTextSizeMultiplier(0.2+value/20)
	end
    end

    def togTipControls(b)
	if(b)
		@tipFrame.setMaximumHeight(9999)
		@tipFrame.show
	else
		@tipFrame.setMaximumHeight(0)
		@tipFrame.hide
	end
	@tipToolsLayout.invalidate()
	@tipToolsLayout.activate()
    end
    def togWebControls(b)
	if(b)
		@webFrame.setMaximumHeight(9999)
		@webFrame.show
	else
		@webFrame.setMaximumHeight(0)
		@webFrame.hide
	end
	@webToolsLayout.invalidate()
	@webToolsLayout.activate()
    end
    def loadProgress(progress)

#    	@m_progress.setValue(progress)
#	@m_progress.update()

	if progress == 100
#        	@m_progress.setMaximumWidth(0)
#	        @m_progress.hide()
		@webpageloaded = true
		@m_zoom.setValue(@zoom_factor)
	        @stopbut.hide()
#	        @stopbut.setMaximumWidth(0)
	else 
		@webpageloaded = false
#	        @m_progress.show()
		@m_zoom.setValue(progress)
	        @stopbut.show()
#		@m_zoom.hide()
#	        @stopbut.setMaximumWidth(INT_MAX)
#	        @m_progress.setMaximumWidth(INT_MAX)
	end
    end

 
    def stop()
    	 @motdlabel.page().action(QWebPage::Stop).trigger()
    end
    def back()
    	@motdlabel.page.history.back()
    end
    def forward()
	@motdlabel.page.history.forward()
    end

    def reloadButtonPress()
	@motdlabel.setUrl(KDE::Url.new(@motdlabel.mainFrame.url.toString))
    end
    
    def clearurl()
	@urlRequester.setEditUrl(KDE::Url.new(""))
    end
    def setUrlRequest(s)
	@urlRequester.setEditUrl(KDE::Url.new(s))
    end
    def nextTip()
	clearurl()
	setUrlRequest("tip://next")
    end
    def prevTip()
	clearurl()
	setUrlRequest("tip://prev")
    end
end
