#include "koratdrawer.h"

namespace Korat
{
class DrawerPrivate
{
public:
    DrawerPrivate(Drawer *drawer)
        : q(drawer)
    {

    }

    Drawer *q;
};

Drawer::Drawer(QGraphicsItem *parent)
    : QGraphicsWidget(parent)
    , d(new DrawerPrivate(this))
{

}

Drawer::~Drawer()
{
    delete d;
}


} // namespace Korat

#include "koratdrawer.moc"

// vim: sw=4 sts=4 et tw=100
