#ifndef KORATDRAWER_H
#define KORATDRAWER_H

#include "koratbar_export.h"
#include "koratdefines.h"

#include <QGraphicsWidget>
#include <QGraphicsItem>

namespace Korat
{
class DrawerPrivate;
class Drawer : public QGraphicsWidget
{
    Q_OBJECT
public:
    explicit Drawer(QGraphicsItem *parent=0);
    virtual ~Drawer();

private:
    friend class DrawerPrivate;
    DrawerPrivate *d;
};


} // namespace Korat

#endif // KORATDRAWER_H
