#ifndef QUASAR_FADENODE_P_H
#define QUASAR_FADENODE_P_H



#include "filternode.h"
#include <GL/gl.h>

namespace Quasar
{
    class FadeNode : public FilterNode
    {
        Q_OBJECT
    public:
        FadeNode();

        virtual QRectF domainOfDefinition(const QRectF &rect) const;
        virtual QRectF regionOfInterest(const QRectF &rect) const;
    protected:
        void programChanged(GLuint prog);
    private:
        GLuint m_alphaLoc;
    };
}


#endif
