TEMPLATE = app
TARGET	 = plasmoidax
KDEDIR   = D:/kde4-dev

QT += core gui svg dbus

CONFIG += release
DESTDIR = $$KDEDIR/bin

UI_DIR += ./GeneratedFiles
RCC_DIR += ./GeneratedFiles

CONFIG(debug, debug|release) {
    MOC_DIR = ./GeneratedFiles/debug
}

CONFIG(release, debug|release) {
    MOC_DIR = ./GeneratedFiles/release
}

CONFIG	+= qt warn_off qaxserver

SOURCES	 = fullview.cpp axfactory.cpp
HEADERS	 = fullview.h

RC_FILE	 = plasmoidaxserver.rc
DEF_FILE = plasmoidaxserver.def

INCLUDEPATH = "$$KDEDIR/include" "$$KDEDIR/include/KDE"  "$$KDEDIR/include/msvc" "$$KDEDIR/mkspecs/default"
LIBS += -L"$$KDEDIR/lib" -lkdeui -lkdecore -lkdewin -lplasma

DEFINES += -D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE -D_SCL_SECURE_NO_WA

QMAKE_CXXFLAG += /DWIN32 /D_WINDOWS /W3 /Zm1000 /EHsc /GR -wd4250 -wd4251 -wd4396 -wd4661 -D_WIN32_WINNT=0x0501 -DWINVER=0x0501 -D_WIN32_IE=0x0501 -DUNICODE -Zc:wchar_t- /MD /Zi /O2 /Ob1 /D NDEBUG -DQT_NO_DEBUG
