#include "widget.h"

#include <QApplication>

int main(int argc, char **argv)
{
    QApplication app(argc, argv);
    QCoreApplication::setApplicationName("Phonon-Quasar Test");

    if (argc != 2) {
        qWarning("Missing arg: \"%s filename\"\n",
                 argv[0]);
        exit(1);
    }

    Widget w(argv[1]);
    w.show();

    return app.exec();
}
