#include "renderernode.h"

namespace Quasar
{


RendererNode::RendererNode(const QString &name)
    : GraphicsNode(name),
      m_fbo(0)
{
}

bool RendererNode::isRendererNode() const
{
    return true;
}

void RendererNode::setFramebufferObject(QGLFramebufferObject *fbo)
{
    m_fbo = fbo;
}

QGLFramebufferObject * RendererNode::framebufferObject() const
{
    return m_fbo;
}

RendererNode::RendererNode(const QString &name, NodePrivate &dd)
    : GraphicsNode(name, dd),
      m_fbo(0)
{
}

}


